Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1038 - latex mode broken
Summary: latex mode broken
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: emacs
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-04 12:56 UTC by andrew
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-08 20:36:10 UTC


Attachments (Terms of Use)

Description andrew 1999-02-04 12:56:31 UTC
My default .emacs has the following hooks for tex-mode:

  (add-hook 'TeX-mode-hook 'turn-on-auto-fill)
  (add-hook 'TeX-mode-hook 'ispell-minor-mode)
  (add-hook 'TeX-mode-hook '(lambda () (setq tab-width 8)))
  (add-hook 'LaTeX-mode-hook '(lambda () (latex-math-mode)))

Funny things happen when editing LaTeX source, however. For
example, typing the sequence (when editing a latex file)

"{\address 503 dgfd dfgdfg  \\
        sdfsf 1V9"

(just typing everything within the quotes, not the quotes
themselves, including the newline, and the indent is
produced by a tab). The cursor should now be directly after
the number nine. Press space. Instead of advancing the
cursor and inserting a space, the cursor backs up to before
the 9 and then inserts a space.

VERY annoying when typing. In fact, for certain key
combinations, there is no way to stop it. Sometimes to
append text to a line you have to begin typing on the next
line, and then join the lines by using "backspace"!

Funny - I wrote a 150 page thesis using this same latex mode
under RHL42 and the emacs stuff worked flawlessly...

Comment 1 David Lawrence 1999-04-08 20:36:59 UTC
After installing a fresh install of 5.2 to a test machine, ran emacs
after adding to config to .emacs file, entered Latex mode, and then
proceeded as instructed by bug report. I could not get this to fail as
reported


Note You need to log in before you can comment on or make changes to this bug.